<?PHP
include("header.php"); ?>
<div class="menucenter">
<?
//////////////////////////////////////////////////////////////
$recolor = 5; /// Минимальное количество жалоб для перекраски ссылки
$del_link = 25; /// Минимальное количество жалоб для удаления ссылки
//////////////////////////////////////////////////////////////
if($_SESSION["username"]):
$id_link = (intval($_GET["id"]) < 1) ? 1 : intval($_GET["id"]);

	$tb_ads_db = mysql_query("SELECT all_zh FROM tb_ads WHERE id = '$id_link' AND tipo = 'ads'");
	if(mysql_num_rows($tb_ads_db) > 0)
	{
	$tb_ads = mysql_fetch_assoc($tb_ads_db);

		if( (int) $tb_ads["all_zh"] >= (int) $recolor)
		{
			if( (int) $tb_ads["all_zh"] >= (int) $del_link)
			{
			mysql_query("DELETE FROM tb_ads WHERE id = '$id_link' AND tipo = 'ads'");
			}else{
			mysql_query("UPDATE tb_ads SET highlight = '#BEBEBE', vip = '3' WHERE id = '$id_link' AND tipo = 'ads'");
			}
		}

if(isset($_POST["zhaloba"]))
{
	$del_date = time();
	mysql_query("DELETE FROM user_zal WHERE date < $del_date ");

	if(mysql_num_rows(mysql_query("SELECT id FROM user_zal WHERE link_id = '$id_link' AND user = '".$_SESSION["username"]."'")) > 0)
	{
	echo "<div class=error>Вы уже подавали жалобу на эту ссылку за последние 24 часа.</div>";
	}else{

	$text_zh = text($_POST["zhaloba"]);
	$dat_delete = time() + 60*60*24;
	mysql_query("UPDATE tb_ads SET all_zh = all_zh +1 WHERE id = '$id_link' AND tipo = 'ads'");
	mysql_query("INSERT INTO user_zal (link_id, user, date) VALUES ('$id_link','".$_SESSION["username"]."','$dat_delete')");
	mysql_query("INSERT INTO mess_adm_zh (user, link_id, text, date) VALUES ('".$_SESSION["username"]."','$id_link','$text_zh','$dat_delete')");
	echo "<div class=good>Жалоба отправлена администратору на рассмотрение</div>";
	include("footer.php");
	exit();
	}


}
?>
<form action="" method="post" >
<input type="hidden" name="go" value="1" />
<table width="500" align="center" border="0" cellspacing="0" cellpadding="0">
  <tr bgcolor="#CCCCCC">
    <td align="center">Прокомментируйте причину вашей жалобы.</td>
  </tr>
  <tr>
    <td align="center">
    <textarea name="zhaloba" cols="60" rows="5"></textarea>
    </td>
  </tr>
  <tr>
    <td align="center"><input type="submit" class="ok_wm" value="отправить" /></td>
  </tr>
</table>
</form>


<?PHP
	}else{
	echo "<div class=error>Ссылки с таким ID не существует!</div>";
	}
else:

echo "<div class=error>Данный раздел только для авторизированных пользователей!</div>";

endif;
 include("footer.php"); ?>